
// ********** Glass/Transparents

textures/mikec/glass_opaque
{
	qer_editorimage textures/effects/tinfx.tga
	qer_trans 0.5
	surfaceparm trans
	surfaceparm nolightmap

	{
		map textures/effects/tinfx.tga
		tcgen environment
		blendFunc filter
		rgbGen identity
	}
}

// ********** Metals

textures/mikec/ladder_01d
{
        qer_editorimage textures/mikec/ladder_01d.tga
	qer_trans 0.75
    	surfaceparm trans
	cull none
        nopicmip
	{
		map textures/mikec/ladder_01d.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

// ********** Decals

textures/mikec/leak1
{
	polygonOffset
	nomipmaps
	nopicmip
	surfaceparm nonsolid
	qer_editorimage textures/mikec/leak1.tga

	{
         map textures/mikec/leak1.tga
	   blendfunc filter
	}
}

textures/mikec/smear1
{
	polygonOffset
	nomipmaps
	nopicmip
	surfaceparm nonsolid
	qer_editorimage textures/mikec/smear1.tga

	{
         map textures/mikec/smear1.tga
	   blendfunc filter
	}
}

textures/mikec/smear2
{
	polygonOffset
	nomipmaps
	nopicmip
	surfaceparm nonsolid
	qer_editorimage textures/mikec/smear2.tga

	{
         map textures/mikec/smear2.tga
	   blendfunc filter
	}
}

textures/mikec/splat1
{
	polygonOffset
	nomipmaps
	nopicmip
	surfaceparm nonsolid
	qer_editorimage textures/mikec/splat1.tga

	{
         map textures/mikec/splat1.tga
	   blendfunc filter
	}
}

textures/mikec/splat2
{
	polygonOffset
	nomipmaps
	nopicmip
	surfaceparm nonsolid
	qer_editorimage textures/mikec/splat2.tga

	{
         map textures/mikec/splat2.tga
	   blendfunc filter
	}
}

textures/mikec/splat3
{
	polygonOffset
	nomipmaps
	nopicmip
	surfaceparm nonsolid
	qer_editorimage textures/mikec/splat3.tga

	{
         map textures/mikec/splat3.tga
	   blendfunc filter
	}
}

textures/mikec/splat4
{
	polygonOffset
	nomipmaps
	nopicmip
	surfaceparm nonsolid
	qer_editorimage textures/mikec/splat4.tga

	{
         map textures/mikec/splat4.tga
	   blendfunc filter
	}
}

textures/mikec/splat5
{
	polygonOffset
	nomipmaps
	nopicmip
	surfaceparm nonsolid
	qer_editorimage textures/mikec/splat5.tga

	{
         map textures/mikec/splat5.tga
	   blendfunc filter
	}
}

textures/mikec/splat6
{
	polygonOffset
	nomipmaps
	nopicmip
	surfaceparm nonsolid
	qer_editorimage textures/mikec/splat6.tga

	{
         map textures/mikec/splat6.tga
	   blendfunc filter
	}
}

textures/mikec/splat7
{
	polygonOffset
	nomipmaps
	nopicmip
	surfaceparm nonsolid
	qer_editorimage textures/mikec/splat7.tga

	{
         map textures/mikec/splat7.tga
	   blendfunc filter
	}
}

textures/mikec/splat8
{
	polygonOffset
	nomipmaps
	nopicmip
	surfaceparm nonsolid
	qer_editorimage textures/mikec/splat8.tga

	{
         map textures/mikec/splat8.tga
	   blendfunc filter
	}
}

textures/mikec/splat9
{
	polygonOffset
	nomipmaps
	nopicmip
	surfaceparm nonsolid
	qer_editorimage textures/mikec/splat9.tga

	{
         map textures/mikec/splat9.tga
	   blendfunc filter
	}
}

textures/mikec/splat_die
{
	polygonOffset
	nomipmaps
	nopicmip
	surfaceparm nonsolid
	qer_editorimage textures/mikec/splat_die.tga

	{
         map textures/mikec/splat_die.tga
	   blendfunc filter
	}
}

textures/mikec/splat_dirt
{
	polygonOffset
	nomipmaps
	nopicmip
	surfaceparm nonsolid
	qer_editorimage textures/mikec/splat_dirt.tga

	{
         map textures/mikec/splat_dirt.tga
	   blendfunc filter
	}
}

textures/mikec/splat_triad
{
	polygonOffset
	nomipmaps
	nopicmip
	surfaceparm nonsolid
	qer_editorimage textures/mikec/splat_triad.tga

	{
         map textures/mikec/splat_triad.tga
	   blendfunc filter
	}
}

textures/mikec/splat_black1
{
	polygonOffset
	nomipmaps
	nopicmip
	surfaceparm nonsolid
	qer_editorimage textures/mikec/splat_black1.tga

	{
         map textures/mikec/splat_black1.tga
	   blendfunc filter
	}
}

textures/mikec/splat_black2
{
	polygonOffset
	nomipmaps
	nopicmip
	surfaceparm nonsolid
	qer_editorimage textures/mikec/splat_black2.tga

	{
         map textures/mikec/splat_black2.tga
	   blendfunc filter
	}
}

textures/mikec/splat_black3
{
	polygonOffset
	nomipmaps
	nopicmip
	surfaceparm nonsolid
	qer_editorimage textures/mikec/splat_black3.tga

	{
         map textures/mikec/splat_black3.tga
	   blendfunc filter
	}
}

textures/mikec/splat_black4
{
	polygonOffset
	nomipmaps
	nopicmip
	surfaceparm nonsolid
	qer_editorimage textures/mikec/splat_black4.tga

	{
         map textures/mikec/splat_black4.tga
	   blendfunc filter
	}
}

textures/mikec/splat_manhole1
{
	polygonOffset
	nomipmaps
	nopicmip
	surfaceparm nonsolid
	qer_editorimage textures/mikec/splat_manhole1.tga
	{
	map textures/mikec/splat_manhole1.tga
	blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA 
	rgbGen vertex 
	alphaGen vertex 
	}
}

textures/mikec/skid1
{
	polygonOffset
	nomipmaps
	nopicmip
	surfaceparm nonsolid
	qer_editorimage textures/mikec/skid1.tga

	{
         map textures/mikec/skid1.tga
	   blendfunc filter
	}
}

textures/mikec/skid2
{
	polygonOffset
	nomipmaps
	nopicmip
	surfaceparm nonsolid
	qer_editorimage textures/mikec/skid2.tga

	{
         map textures/mikec/skid2.tga
	   blendfunc filter
	}
}
