// TrueFence based on id's proto_fence, but you can shoot through it.

textures/ut_druglord/truefence
{
	surfaceparm trans
    surfaceparm nomarks	
    surfaceparm nonsolid
    surfaceparm playerclip
    surfaceparm noimpact
	cull none
        nopicmip

	{
		map textures/ut_druglord/truefence.tga
		tcMod scale 3 3
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/ut_druglord/glass
{
	qer_editorimage textures/ut_druglord/glassfx.tga
	surfaceparm nolightmap
	surfaceparm trans	
	cull back
	qer_trans 	0.5

	{
		map textures/ut_druglord/glassfx.tga
		tcgen environment
		blendFunc GL_ONE GL_ONE
		rgbGen identity
	}
}

textures/ut_druglord/glass_green_lit
{
	q3map_surfacelight 500
	qer_editorimage textures/ut_druglord/glass_green.tga

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ut_druglord/glass_green.tga
		blendfunc GL_ONE GL_ONE
	}

}

textures/ut_druglord/camo_nonsolid
{
	qer_editorimage textures/ut_druglord/camo.tga
	surfaceparm nonsolid
	{
		map textures/ut_druglord/camo.tga
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/ut_druglord/green-camo-net
{
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm playerclip
	surfaceparm alphashadow
	surfaceparm noimpact
	cull none
	nopicmip

	{
		map textures/ut_druglord/green-camo-net.tga
		tcMod scale 3 3
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}
textures/ut_druglord/baslt4_1_2k
{
	qer_editorimage textures/base_light/baslt4_1.tga
	surfaceparm nomarks
	q3map_surfacelight 2000
	//light 1

	// New Fluorescent light
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/base_light/baslt4_1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/base_light/baslt4_1.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/ut_druglord/baslt4_1_4k
{
	qer_editorimage textures/base_light/baslt4_1.tga
	surfaceparm nomarks
	q3map_surfacelight 4000
	//light 1

	// New Fluorescent light
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/base_light/baslt4_1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/base_light/baslt4_1.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

// Skybox

textures/ut_druglord/druglord_sky
{
	qer_editorimage textures/ut_druglord/druglord_sky.tga
	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks
	q3map_surfacelight 100
	q3map_sun 1 .725 .3725 200 30 70
//	q3map_sun 1 .725 .3725 175 120 30
	skyparms textures/ut_druglord/env/dlsky - -
}

models/mapobjects/urbanterror/rotor1
{
	surfaceparm trans
	{
		map models/mapobjects/urbanterror/rotor1.tga
		blendfunc blend
		tcMod rotate 100
	}
	{
		map models/mapobjects/urbanterror/rotor1.tga
		blendfunc blend
		tcMod rotate 210
	}
}


models/mapobjects/urbanterror/rotor2
{
	surfaceparm trans
	{
		map models/mapobjects/urbanterror/rotor2.tga
		blendfunc blend
		tcMod rotate 100
	}
	{
		map models/mapobjects/urbanterror/rotor2.tga
		blendfunc blend
		tcMod rotate 210
	}

}

// Terrain
textures/ut_druglord/dlterrain_base
{
	q3map_lightmapsamplesize 2
	q3map_nonplanar
	q3map_lightmapmergable
	q3map_shadeangle 120
//	q3map_lightmapsize 512 512
	q3map_lightmapGamma 3.0
	q3map_lightmapaxis z
	q3map_texturesize 512 512
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
}
textures/ut_druglord/dlterrain_0
{
	q3map_baseshader textures/ut_druglord/dlterrain_base
	{
		map textures/ut_druglord/grassbrown1.tga
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
	}
}

textures/ut_druglord/dlterrain_1
{
	q3map_baseshader textures/ut_druglord/dlterrain_base
	{
		map textures/ut_druglord/desertrock.tga
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
	}
}

textures/ut_druglord/dlterrain_0to1
{
	q3map_baseshader textures/ut_druglord/dlterrain_base
	
	{
		map textures/ut_druglord/grassbrown1.tga
	}
	{
		map textures/ut_druglord/desertrock.tga
		alphaGen vertex
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
	}
}
textures/ut_druglord/dlterrain_vx
{
	surfaceparm pointlight
	q3map_novertexshadows
	q3map_forcesunlight
	{
		map textures/ut_druglord/grassbrown1.tga
		rgbGen vertex
	}
}

// START diesel smoke particle fx shaders

textures/ut_druglord/d_smoke_1
{
qer_editorimage textures/ut_druglord/dieselsmoke.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move -0.811115 1.799233 39.951283 sawtooth 0 1 1.178808 1.000000
{
clampmap textures/ut_druglord/dieselsmoke.tga
tcMod rotate 5.000000
AlphaGen wave sawtooth 1.000000 -1.000000 1.178808 1.000000
rgbGen wave sawtooth 1.000000 1.000000 1.178808 1.000000
tcMod stretch sawtooth 1.000000 1.000000 1.178808 1.000000
blendfunc blend
}
}

textures/ut_druglord/d_smoke_2
{
qer_editorimage textures/ut_druglord/dieselsmoke.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move 0.259697 -1.956452 39.951283 sawtooth 0 1 1.066439 1.000000
{
clampmap textures/ut_druglord/dieselsmoke.tga
tcMod rotate 5.000000
AlphaGen wave sawtooth 1.000000 -1.000000 1.066439 1.000000
rgbGen wave sawtooth 1.000000 1.000000 1.066439 1.000000
tcMod stretch sawtooth 1.000000 1.000000 1.066439 1.000000
blendfunc blend
}
}

textures/ut_druglord/d_smoke_3
{
qer_editorimage textures/ut_druglord/dieselsmoke.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move -1.369859 1.420786 39.951283 sawtooth 0 1 1.262246 1.000000
{
clampmap textures/ut_druglord/dieselsmoke.tga
tcMod rotate 5.000000
AlphaGen wave sawtooth 1.000000 -1.000000 1.262246 1.000000
rgbGen wave sawtooth 1.000000 1.000000 1.262246 1.000000
tcMod stretch sawtooth 1.000000 1.000000 1.262246 1.000000
blendfunc blend
}
}

textures/ut_druglord/d_smoke_4
{
qer_editorimage textures/ut_druglord/dieselsmoke.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move 1.162360 -1.595013 39.951283 sawtooth 0 1 0.175542 1.000000
{
clampmap textures/ut_druglord/dieselsmoke.tga
tcMod rotate 5.000000
AlphaGen wave sawtooth 1.000000 -1.000000 0.175542 1.000000
rgbGen wave sawtooth 1.000000 1.000000 0.175542 1.000000
tcMod stretch sawtooth 1.000000 1.000000 0.175542 1.000000
blendfunc blend
}
}

textures/ut_druglord/d_smoke_5
{
qer_editorimage textures/ut_druglord/dieselsmoke.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move -1.651409 1.080738 39.951283 sawtooth 0 1 1.769768 1.000000
{
clampmap textures/ut_druglord/dieselsmoke.tga
tcMod rotate 5.000000
AlphaGen wave sawtooth 1.000000 -1.000000 1.769768 1.000000
rgbGen wave sawtooth 1.000000 1.000000 1.769768 1.000000
tcMod stretch sawtooth 1.000000 1.000000 1.769768 1.000000
blendfunc blend
}
}

textures/ut_druglord/d_smoke_6
{
qer_editorimage textures/ut_druglord/dieselsmoke.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move -1.712711 -0.980698 39.951283 sawtooth 0 1 0.944548 1.000000
{
clampmap textures/ut_druglord/dieselsmoke.tga
tcMod rotate 5.000000
AlphaGen wave sawtooth 1.000000 -1.000000 0.944548 1.000000
rgbGen wave sawtooth 1.000000 1.000000 0.944548 1.000000
tcMod stretch sawtooth 1.000000 1.000000 0.944548 1.000000
blendfunc blend
}
}

textures/ut_druglord/d_smoke_7
{
qer_editorimage textures/ut_druglord/dieselsmoke.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move -0.701377 1.844781 39.951283 sawtooth 0 1 1.892514 1.000000
{
clampmap textures/ut_druglord/dieselsmoke.tga
tcMod rotate 5.000000
AlphaGen wave sawtooth 1.000000 -1.000000 1.892514 1.000000
rgbGen wave sawtooth 1.000000 1.000000 1.892514 1.000000
tcMod stretch sawtooth 1.000000 1.000000 1.892514 1.000000
blendfunc blend
}
}

textures/ut_druglord/d_smoke_8
{
qer_editorimage textures/ut_druglord/dieselsmoke.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move -1.593060 -1.165034 39.951283 sawtooth 0 1 0.899808 1.000000
{
clampmap textures/ut_druglord/dieselsmoke.tga
tcMod rotate 5.000000
AlphaGen wave sawtooth 1.000000 -1.000000 0.899808 1.000000
rgbGen wave sawtooth 1.000000 1.000000 0.899808 1.000000
tcMod stretch sawtooth 1.000000 1.000000 0.899808 1.000000
blendfunc blend
}
}

textures/ut_druglord/d_smoke_9
{
qer_editorimage textures/ut_druglord/dieselsmoke.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move 1.968976 -0.135202 39.951283 sawtooth 0 1 0.936491 1.000000
{
clampmap textures/ut_druglord/dieselsmoke.tga
tcMod rotate 5.000000
AlphaGen wave sawtooth 1.000000 -1.000000 0.936491 1.000000
rgbGen wave sawtooth 1.000000 1.000000 0.936491 1.000000
tcMod stretch sawtooth 1.000000 1.000000 0.936491 1.000000
blendfunc blend
}
}

textures/ut_druglord/d_smoke_10
{
qer_editorimage textures/ut_druglord/dieselsmoke.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move 1.956085 -0.262444 39.951283 sawtooth 0 1 0.540910 1.000000
{
clampmap textures/ut_druglord/dieselsmoke.tga
tcMod rotate 5.000000
AlphaGen wave sawtooth 1.000000 -1.000000 0.540910 1.000000
rgbGen wave sawtooth 1.000000 1.000000 0.540910 1.000000
tcMod stretch sawtooth 1.000000 1.000000 0.540910 1.000000
blendfunc blend
}
}

textures/ut_druglord/d_smoke_11
{
qer_editorimage textures/ut_druglord/dieselsmoke.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move -0.687942 -1.849833 39.951283 sawtooth 0 1 1.208594 1.000000
{
clampmap textures/ut_druglord/dieselsmoke.tga
tcMod rotate 5.000000
AlphaGen wave sawtooth 1.000000 -1.000000 1.208594 1.000000
rgbGen wave sawtooth 1.000000 1.000000 1.208594 1.000000
tcMod stretch sawtooth 1.000000 1.000000 1.208594 1.000000
blendfunc blend
}
}

textures/ut_druglord/d_smoke_12
{
qer_editorimage textures/ut_druglord/dieselsmoke.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move 0.188261 -1.964613 39.951283 sawtooth 0 1 1.901914 1.000000
{
clampmap textures/ut_druglord/dieselsmoke.tga
tcMod rotate 5.000000
AlphaGen wave sawtooth 1.000000 -1.000000 1.901914 1.000000
rgbGen wave sawtooth 1.000000 1.000000 1.901914 1.000000
tcMod stretch sawtooth 1.000000 1.000000 1.901914 1.000000
blendfunc blend
}
}

textures/ut_druglord/d_smoke_13
{
qer_editorimage textures/ut_druglord/dieselsmoke.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move 1.861721 0.655089 39.951283 sawtooth 0 1 0.214972 1.000000
{
clampmap textures/ut_druglord/dieselsmoke.tga
tcMod rotate 5.000000
AlphaGen wave sawtooth 1.000000 -1.000000 0.214972 1.000000
rgbGen wave sawtooth 1.000000 1.000000 0.214972 1.000000
tcMod stretch sawtooth 1.000000 1.000000 0.214972 1.000000
blendfunc blend
}
}

textures/ut_druglord/d_smoke_14
{
qer_editorimage textures/ut_druglord/dieselsmoke.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move -1.375317 -1.415504 39.951283 sawtooth 0 1 1.655812 1.000000
{
clampmap textures/ut_druglord/dieselsmoke.tga
tcMod rotate 5.000000
AlphaGen wave sawtooth 1.000000 -1.000000 1.655812 1.000000
rgbGen wave sawtooth 1.000000 1.000000 1.655812 1.000000
tcMod stretch sawtooth 1.000000 1.000000 1.655812 1.000000
blendfunc blend
}
}

textures/ut_druglord/d_smoke_15
{
qer_editorimage textures/ut_druglord/dieselsmoke.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move 0.336757 -1.944670 39.951283 sawtooth 0 1 0.806177 1.000000
{
clampmap textures/ut_druglord/dieselsmoke.tga
tcMod rotate 5.000000
AlphaGen wave sawtooth 1.000000 -1.000000 0.806177 1.000000
rgbGen wave sawtooth 1.000000 1.000000 0.806177 1.000000
tcMod stretch sawtooth 1.000000 1.000000 0.806177 1.000000
blendfunc blend
}
}

textures/ut_druglord/d_smoke_16
{
qer_editorimage textures/ut_druglord/dieselsmoke.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move -1.858868 0.663141 39.951283 sawtooth 0 1 1.349162 1.000000
{
clampmap textures/ut_druglord/dieselsmoke.tga
tcMod rotate 5.000000
AlphaGen wave sawtooth 1.000000 -1.000000 1.349162 1.000000
rgbGen wave sawtooth 1.000000 1.000000 1.349162 1.000000
tcMod stretch sawtooth 1.000000 1.000000 1.349162 1.000000
blendfunc blend
}
}

textures/ut_druglord/d_smoke_17
{
qer_editorimage textures/ut_druglord/dieselsmoke.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move 1.537421 1.237531 39.951283 sawtooth 0 1 1.659413 1.000000
{
clampmap textures/ut_druglord/dieselsmoke.tga
tcMod rotate 5.000000
AlphaGen wave sawtooth 1.000000 -1.000000 1.659413 1.000000
rgbGen wave sawtooth 1.000000 1.000000 1.659413 1.000000
tcMod stretch sawtooth 1.000000 1.000000 1.659413 1.000000
blendfunc blend
}
}

textures/ut_druglord/d_smoke_18
{
qer_editorimage textures/ut_druglord/dieselsmoke.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move -1.207301 1.561272 39.951283 sawtooth 0 1 0.277963 1.000000
{
clampmap textures/ut_druglord/dieselsmoke.tga
tcMod rotate 5.000000
AlphaGen wave sawtooth 1.000000 -1.000000 0.277963 1.000000
rgbGen wave sawtooth 1.000000 1.000000 0.277963 1.000000
tcMod stretch sawtooth 1.000000 1.000000 0.277963 1.000000
blendfunc blend
}
}

textures/ut_druglord/d_smoke_19
{
qer_editorimage textures/ut_druglord/dieselsmoke.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move -0.144357 -1.968326 39.951283 sawtooth 0 1 0.146062 1.000000
{
clampmap textures/ut_druglord/dieselsmoke.tga
tcMod rotate 5.000000
AlphaGen wave sawtooth 1.000000 -1.000000 0.146062 1.000000
rgbGen wave sawtooth 1.000000 1.000000 0.146062 1.000000
tcMod stretch sawtooth 1.000000 1.000000 0.146062 1.000000
blendfunc blend
}
}

textures/ut_druglord/d_smoke_20
{
qer_editorimage textures/ut_druglord/dieselsmoke.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move 1.146112 1.606727 39.951283 sawtooth 0 1 1.225562 1.000000
{
clampmap textures/ut_druglord/dieselsmoke.tga
tcMod rotate 5.000000
AlphaGen wave sawtooth 1.000000 -1.000000 1.225562 1.000000
rgbGen wave sawtooth 1.000000 1.000000 1.225562 1.000000
tcMod stretch sawtooth 1.000000 1.000000 1.225562 1.000000
blendfunc blend
}
}

// END diesel smoke particle fx shaders

